Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.control
Class ControlConstants

    java.lang.Object
      org.jboss.portal.core.model.portal.control.ControlConstants

    public class ControlConstants

extends java.lang.Object

Defines the constant for the control framework.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`static java.lang.String` | `ACCESS_DENIED_ERROR_TYPE` .
`static java.lang.String` | `CAUSE_ATTRIBUTE` .
`static java.lang.String` | `ERROR_ERROR_TYPE` .
`static java.lang.String` | `ERROR_TYPE_ATTRIBUTE` .
`static java.lang.String` | `HIDE_CONTROL_VALUE` .
`static java.lang.String` | `IGNORE_CONTROL_VALUE` .
`static java.lang.String` | `INTERNAL_ERROR_ERROR_TYPE` .
`static java.lang.String` | `JSP_CONTROL_VALUE` .
`static java.lang.String` | `MESSAGE_ATTRIBUTE` .
`static java.lang.String` | `NOT_FOUND_ERROR_TYPE` .
`static java.lang.String` | `PAGE_ACCESS_DENIED_CONTROL_KEY` .
`static java.lang.String` | `PAGE_ERROR_CONTROL_KEY` .
`static java.lang.String` | `PAGE_INTERNAL_ERROR_CONTROL_KEY` .
`static java.lang.String` | `PAGE_NOT_FOUND_CONTROL_KEY` .
`static java.lang.String` | `PAGE_RESOURCE_URI_CONTROL_KEY` .
`static java.lang.String` | `PAGE_UNAVAILABLE_CONTROL_KEY` .
`static java.lang.String` | `PORTAL_ACCESS_DENIED_CONTROL_KEY` .
`static java.lang.String` | `PORTAL_ERROR_CONTROL_KEY` .
`static java.lang.String` | `PORTAL_INTERNAL_ERROR_CONTROL_KEY` .
`static java.lang.String` | `PORTAL_NOT_FOUND_CONTROL_KEY` .
`static java.lang.String` | `PORTAL_RESOURCE_URI_CONTROL_KEY` .
`static java.lang.String` | `PORTAL_UNAVAILABLE_CONTROL_KEY` .
`static java.lang.String` | `UNAVAILABLE_ERROR_TYPE` .

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAGE_ACCESS_DENIED_CONTROL_KEY

    public static final java.lang.String PAGE_ACCESS_DENIED_CONTROL_KEY

  .

  See Also:
    Constant Field Values

### PAGE_UNAVAILABLE_CONTROL_KEY

    public static final java.lang.String PAGE_UNAVAILABLE_CONTROL_KEY

  .

  See Also:
    Constant Field Values

### PAGE_ERROR_CONTROL_KEY

    public static final java.lang.String PAGE_ERROR_CONTROL_KEY

  .

  See Also:
    Constant Field Values

### PAGE_INTERNAL_ERROR_CONTROL_KEY

    public static final java.lang.String PAGE_INTERNAL_ERROR_CONTROL_KEY

  .

  See Also:
    Constant Field Values

### PAGE_NOT_FOUND_CONTROL_KEY

    public static final java.lang.String PAGE_NOT_FOUND_CONTROL_KEY

  .

  See Also:
    Constant Field Values

### PAGE_RESOURCE_URI_CONTROL_KEY

    public static final java.lang.String PAGE_RESOURCE_URI_CONTROL_KEY

  .

  See Also:
    Constant Field Values

### PORTAL_ACCESS_DENIED_CONTROL_KEY

    public static final java.lang.String PORTAL_ACCESS_DENIED_CONTROL_KEY

  .

  See Also:
    Constant Field Values

### PORTAL_UNAVAILABLE_CONTROL_KEY

    public static final java.lang.String PORTAL_UNAVAILABLE_CONTROL_KEY

  .

  See Also:
    Constant Field Values

### PORTAL_ERROR_CONTROL_KEY

    public static final java.lang.String PORTAL_ERROR_CONTROL_KEY

  .

  See Also:
    Constant Field Values

### PORTAL_INTERNAL_ERROR_CONTROL_KEY

    public static final java.lang.String PORTAL_INTERNAL_ERROR_CONTROL_KEY

  .

  See Also:
    Constant Field Values

### PORTAL_NOT_FOUND_CONTROL_KEY

    public static final java.lang.String PORTAL_NOT_FOUND_CONTROL_KEY

  .

  See Also:
    Constant Field Values

### PORTAL_RESOURCE_URI_CONTROL_KEY

    public static final java.lang.String PORTAL_RESOURCE_URI_CONTROL_KEY

  .

  See Also:
    Constant Field Values

### HIDE_CONTROL_VALUE

    public static final java.lang.String HIDE_CONTROL_VALUE

  .

  See Also:
    Constant Field Values

### IGNORE_CONTROL_VALUE

    public static final java.lang.String IGNORE_CONTROL_VALUE

  .

  See Also:
    Constant Field Values

### JSP_CONTROL_VALUE

    public static final java.lang.String JSP_CONTROL_VALUE

  .

  See Also:
    Constant Field Values

### ERROR_TYPE_ATTRIBUTE

    public static final java.lang.String ERROR_TYPE_ATTRIBUTE

  .

  See Also:
    Constant Field Values

### CAUSE_ATTRIBUTE

    public static final java.lang.String CAUSE_ATTRIBUTE

  .

  See Also:
    Constant Field Values

### MESSAGE_ATTRIBUTE

    public static final java.lang.String MESSAGE_ATTRIBUTE

  .

  See Also:
    Constant Field Values

### ACCESS_DENIED_ERROR_TYPE

    public static final java.lang.String ACCESS_DENIED_ERROR_TYPE

  .

  See Also:
    Constant Field Values

### UNAVAILABLE_ERROR_TYPE

    public static final java.lang.String UNAVAILABLE_ERROR_TYPE

  .

  See Also:
    Constant Field Values

### ERROR_ERROR_TYPE

    public static final java.lang.String ERROR_ERROR_TYPE

  .

  See Also:
    Constant Field Values

### INTERNAL_ERROR_ERROR_TYPE

    public static final java.lang.String INTERNAL_ERROR_ERROR_TYPE

  .

  See Also:
    Constant Field Values

### NOT_FOUND_ERROR_TYPE

    public static final java.lang.String NOT_FOUND_ERROR_TYPE

  .

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD